%define major 1
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Name: ktoblzcheck
Summary: A library to check account numbers and bank codes of German banks
Version: 1.40
Release: %mkrel 2
Source: http://downloads.sourceforge.net/ktoblzcheck/%{name}-%{version}.tar.gz
Group: System/Libraries
License: LGPLv2+
URL: http://ktoblzcheck.sourceforge.net
BuildRequires: python-devel

%description 
KtoBLZCheck is a library to check account numbers and bank codes of
German banks. Both a library for other programs as well as a short
command-line tool is available. It is possible to check pairs of
account numbers and bank codes (BLZ) of German banks, and to map bank
codes (BLZ) to the clear-text name and location of the bank.

%package -n python-%name
Group: Development/Python
Summary:A library to check account numbers and bank codes of German banks
Requires: %name = %version
%py_requires -d

%description -n python-%name
KtoBLZCheck is a library to check account numbers and bank codes of
German banks. Both a library for other programs as well as a short
command-line tool is available. It is possible to check pairs of
account numbers and bank codes (BLZ) of German banks, and to map bank
codes (BLZ) to the clear-text name and location of the bank.


%package -n %libname
Group: System/Libraries
Summary:A library to check account numbers and bank codes of German banks
Requires: %name >= %version

%description -n %libname
KtoBLZCheck is a library to check account numbers and bank codes of
German banks. Both a library for other programs as well as a short
command-line tool is available. It is possible to check pairs of
account numbers and bank codes (BLZ) of German banks, and to map bank
codes (BLZ) to the clear-text name and location of the bank.

%package -n %develname
Group: Development/C++
Summary:A library to check account numbers and bank codes of German banks
Requires: %libname = %version
Provides: lib%name-devel = %version-%release
Obsoletes: %mklibname -d %name 1

%description -n %develname
KtoBLZCheck is a library to check account numbers and bank codes of
German banks. Both a library for other programs as well as a short
command-line tool is available. It is possible to check pairs of
account numbers and bank codes (BLZ) of German banks, and to map bank
codes (BLZ) to the clear-text name and location of the bank.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %libname
%{_libdir}/libktoblzcheck.so.%{major}*

%files -n %develname
%{_libdir}/libktoblzcheck.so
%{_includedir}/iban.h
%{_includedir}/ktoblzcheck.h
%{_libdir}/pkgconfig/ktoblzcheck.pc

%files -n python-%name
%{py_sitedir}/*.py*

%files
%doc README COPYING ChangeLog
%{_bindir}/ktoblzcheck
%{_datadir}/ktoblzcheck/*
%{_mandir}/man1/ktoblzcheck.1*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.40-2.mga3
+ Revision: 356531
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 fwang <fwang> 1.40-1.mga3
+ Revision: 289198
- update tarball
- new version 1.40

* Thu Jun 16 2011 fwang <fwang> 1.33-1.mga2
+ Revision: 108118
- update file list
- new version 1.33

* Sun May 15 2011 pterjan <pterjan> 1.28-2.mga1
+ Revision: 98932
- Rebuild for fixed find-requires

* Thu Feb 10 2011 spuhler <spuhler> 1.28-1.mga1
+ Revision: 49692
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package ktoblzcheck

